pitch_linear.h File Reference

Defines layout functions used by TensorRef and derived classes for pitch-linear memory. More...

`#include "cutlass/cutlass.h"`
`#include "cutlass/coord.h"`
Include dependency graph for pitch_linear.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | cutlass::layout::PitchLinearShape< Contiguous, Strided >
| Template defining a shape used by pitch-linear operators. More...
struct | cutlass::layout::PitchLinearCoord
| Coordinate in pitch-linear space. More...
class | cutlass::layout::PitchLinear
| Mapping function for pitch-linear memory. More...

## Namespaces

| cutlass
| cutlass::layout